Bug 25695 - String formula return swap byte unicode characters
Summary: String formula return swap byte unicode characters
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 2.0-pre3
Hardware: PC Windows XP
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-22 12:46 UTC by Sompop Kumnoonsate
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
Test data (13.50 KB, application/octet-stream)
2003-12-26 07:50 UTC, Sompop Kumnoonsate
Details
Test case (2.88 KB, text/plain)
2003-12-26 07:51 UTC, Sompop Kumnoonsate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sompop Kumnoonsate 2003-12-22 12:46:45 UTC
HSSFCell.getStringCellValue() on cell which has string formula will return 
swap bye unicode characters.
For example, cell A1 contains "\u0e2a\u0e2b" and cell A2 contains string 
formula "=A1". If we getStringCellValue from cell A2 we will 
get "\u2a0e\u2b0e". It returns correct value if the return string in US 
codepage.
Comment 1 Sompop Kumnoonsate 2003-12-26 07:50:49 UTC
Created attachment 9704 [details]
Test data
Comment 2 Sompop Kumnoonsate 2003-12-26 07:51:45 UTC
Created attachment 9705 [details]
Test case
Comment 3 Avik Sengupta 2004-01-01 17:34:55 UTC
Ooops! More proof that the way excel handles unicode leaves much to be desired!

Fixed. Thanks for a good bug report, in particular, great testcase. I wouldnt
have been able to fix it so soon without the testcases.